|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionToolBox Class Reference
[QtGui module]

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box. More...

    #include <QStyleOptionToolBox>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionToolBox ()
- QStyleOptionToolBox ( const QStyleOptionToolBox & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QIcon icon
- QString text

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box.

The QStyleOptionToolBox class is used for drawing QToolBox.

## Member Function Documentation

### QStyleOptionToolBox::QStyleOptionToolBox ()

Creates a QStyleOptionToolBox. The members variables are initialized to default values.

### QStyleOptionToolBox::QStyleOptionToolBox ( const QStyleOptionToolBox & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionToolBox::Type

Equals SO_ToolBox.

### const int QStyleOptionToolBox::Version

Equals 1.

### QIcon QStyleOptionToolBox::icon

This variable holds the icon for the tool box tab.

### QString QStyleOptionToolBox::text

This variable holds the text for the tool box tab.